# Mirakl-Connector [![Node.js CI](https://github.com/onceit/mirakl-connector/actions/workflows/node.js.yml/badge.svg?branch=main)](https://github.com/onceit/mirakl-connector/actions/workflows/node.js.yml)

This is mirakl-connector that helps developers to integrate Mirakl Platform and written in NodeJS

## Prerequisites

- NodeJS: 12.X

## Installing

```bash
npm i --save mirakl-connector
```

## Usage

```python
const Mirakl = require("mirakl-connector");

const client = new Mirakl.OperatorClient({
      url: process.env.MIRAKL_URL,
      key: process.env.MIRAKL_OPERATOR_KEY,
    });

const res = await client.getListAllShops();

console.log(res.isOk);
console.log(res.data);
console.log(res.message);
console.log(res.status);
```

#### Details of API usages [here](./apis)

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.
