# Platform Settings API

### List refund, incident, and message reasons [RE01](https://help.mirakl.net/help/api-doc/operator/mmp.html#RE01) - [OperatorClient, FrontClient]

```javascript
const res = await client.getListReasons("en_NZ");
```

#### Response

```javascript
{
  data: {
    reasons: [
      {
        code: "string",
        is_customer_right: "boolean",
        is_operator_right: "boolean",
        is_shop_right: "boolean",
        label: "string",
        type: "string",
      },
    ],
    total_count: "integer",
  },
};
```

### List rating types on your platform [EV01](https://help.mirakl.net/help/api-doc/operator/mmp.html#EV01) - [OperatorClient, FrontClient]

```javascript
const res = await client.getListRatingTypes({
  entity_type: "string", // "MMP_ORDER", "MPS_ORDER"
  locale: "string",
});
```

#### Response

```javascript
{
  data: {
    assessments: [
      {
        code: "string",
        label: "string",
        type: "string",
      },
    ],
    total_count: "integer",
  },
};
```

### List all custom fields [AF01](https://help.mirakl.net/help/api-doc/operator/mmp.html#AF01) - [OperatorClient, FrontClient]

```javascript
const res = await client.getListAllCustomFields({
  entities: ["string"], // "OFFER", "SHOP", "ORDER", "ORDER_LINE"
  locale: "string",
});
```

#### Response

```javascript
{
  data: {
    additional_fields: [
      {
        accepted_values: ["string"],
        code: "string",
        default_value: "string",
        entity: "string",
        label: "string",
        regex: "string",
        required: "boolean",
        shop_permission: "string",
        type: "string",
      },
    ],
    total_count: "integer",
  },
};
```
