# Shipping API

### List shipping charges of each offer, grouped by orders [SH02](https://help.mirakl.net/help/api-doc/front/mmp.html#SH02) - [FrontClient]

```javascript
const res = await client.getListShippingRates({
  offers: [
    {
      id: "number",
      qty: "number",
      shippingTypeCode: "string",
      leadTimeToShip: "number",
    },
  ],
  shipping_zone_code: "string",
  pricing_channel_code: "string",
  compute_order_taxes: "boolean",
  customer_shipping_address_street_1: "string",
  customer_shipping_address_street_2: "string",
  customer_shipping_address_state: "string",
  customer_shipping_address_zipcode: "string",
  customer_shipping_address_city: "string",
  customer_shipping_address_country_iso_code:   customer_shipping_address_country_iso_code: "string",
  customer_code: "string",
  locale: "string",
});
```

#### Response

```javascript
{
  data: {
    errors: [
      {
        error_code: "string",
        offer_id: "integer",
        shipping_type_code: "string",
      },
    ],
    orders: [
      {
        channel_code: "string",
        currency_iso_code: "string",
        leadtime_to_ship: "integer",
        offers: [
          {
            allow_quote_requests: "boolean",
            allowed_shipping_types: [
              {
                code: "string",
                delivery_time: {
                  earliest_days: "integer",
                  latest_days: "integer",
                },
                label: "string",
                shipping_additional_fields: [
                  {
                    code: "string",
                    type: "string",
                    value: "string",
                  },
                ],
              },
            ],
            fulfillment: {
              center: {
                code: "string",
              },
            },
            line_only_shipping_price: "number",
            line_only_total_price: "number",
            line_original_quantity: "integer",
            line_price: "number",
            line_quantity: "integer",
            line_shipping_price: "number",
            line_total_price: "number",
            offer_additional_fields: [
              {
                code: "string",
                type: "string",
                value: "string",
              },
            ],
            offer_discount: {
              discount_price: "number",
              end_date: "string",
              origin_price: "number",
              ranges: [
                {
                  price: "number",
                  quantity_threshold: "integer",
                },
              ],
              start_date: "string",
            },
            offer_id: "integer",
            offer_price: "number",
            offer_quantity: "integer",
            product_category_code: "string",
            product_tax_code: "string",
            promotions: [
              {
                apportioned: "boolean",
                configuration: {
                  amount_off: "number",
                  free_items_quantity: "integer",
                  internal_description: "string",
                  percentage_off: "number",
                  type: "string",
                },
                deduced_amount: "number",
                id: "string",
                offered_quantity: "integer",
              },
            ],
            shipping_price_additional_unit: "number",
            shipping_price_unit: "number",
            shipping_taxes: [
              {
                amount: "number",
                name: "string",
                type: "string",
              },
            ],
            taxes: [
              {
                amount: "number",
                name: "string",
                type: "string",
              },
            ],
          },
        ],
        promotions: {
          applied_promotions: [
            {
              apportioned: "boolean",
              configuration: {
                amount_off: "number",
                free_items_quantity: "integer",
                internal_description: "string",
                percentage_off: "number",
                type: "string",
              },
              deduced_amount: "number",
              id: "string",
              offered_quantity: "integer",
            },
          ],
          total_deduced_amount: "number",
        },
        selected_shipping_type: {
          code: "string",
          delivery_time: {
            earliest_days: "integer",
            latest_days: "integer",
          },
          label: "string",
          shipping_additional_fields: [
            {
              code: "string",
              type: "string",
              value: "string",
            },
          ],
        },
        shipping_types: [
          {
            code: "string",
            delivery_time: {
              earliest_days: "integer",
              latest_days: "integer",
            },
            label: "string",
            shipping_additional_fields: [
              {
                code: "string",
                type: "string",
                value: "string",
              },
            ],
            total_shipping_price: "number",
          },
        ],
        shop_id: "integer",
        shop_name: "string",
      },
    ],
    total_count: "integer",
  },
};
```
