# Store API

### Create shops [S06](https://help.mirakl.net/help/api-doc/operator/mmp.html#S06) - [OperatorClient]

```javascript
const res = await client.createShops({
  shops: [
    {
      address: {
        city: "string",
        civility: "string",
        country: "string",
        firstname: "string",
        lastname: "string",
        phone: "string",
        phone_secondary: "string",
        state: "string",
        street1: "string",
        street2: "string",
        zip_code: "string",
      },
      channel_codes: ["string"],
      closed_from_date: "string",
      closed_to_date: "string",
      currency_iso_code: "string",
      description: "string",
      domains: ["string"],
      email: "string",
      existing_user: {
        email: "string",
        password: "string",
      },
      fax: "string",
      immunity_date: "string",
      is_professional: "boolean",
      new_user: {
        email: "string",
        locale: "string",
        password: "string",
      },
      operator_internal_id: "string",
      password: "string",
      payment_blocked: "boolean",
      payment_info: {
        owner: "string",
      },
      pro_details: {
        corporate_name: "string",
        identification_number: "string",
        tax_identification_number: "string",
      },
      return_policy: "string",
      shipping_country: "string",
      shop_additional_fields: [
        {
          code: "string",
          value: "string",
        },
      ],
      shop_name: "string",
      suspend: "boolean",
      web_site: "string",
    },
  ],
});
```

#### Response

```javascript
{
  data: {
    shop_returns: [
      {
        shop_created: {
          applicable_taxes: [
            {
              code: "string",
              label: "string",
            },
          ],
          approval_delay: "integer",
          approval_rate: "number",
          banner: "string",
          billing_info: {
            bank_city: "string",
            bank_name: "string",
            bank_street: "string",
            bic: "string",
            iban: "string",
            owner: "string",
            zip_code: "string",
          },
          channels: ["string"],
          closed_from: "string",
          closed_to: "string",
          contact_informations: {
            city: "string",
            civility: "string",
            country: "string",
            email: "string",
            fax: "string",
            firstname: "string",
            lastname: "string",
            phone: "string",
            phone_secondary: "string",
            state: "string",
            street1: "string",
            street2: "string",
            web_site: "string",
            zip_code: "string",
          },
          currency_iso_code: "string",
          date_created: "string",
          description: "string",
          domains: ["string"],
          evaluations_count: "integer",
          free_shipping: "boolean",
          grade: "number",
          immunity_date: "string",
          is_professional: "boolean",
          kyc: {
            reason: "string",
            status: "string",
          },
          last_updated_date: "string",
          logo: "string",
          offers_count: "integer",
          operator_internal_id: "string",
          order_messages_response_delay: "integer",
          orders_count: "integer",
          payment_details: {
            paid_balance: "number",
            pay_subscription: "boolean",
            payable_balance: "number",
            payment_blocked: "boolean",
            pending_balance: "number",
            subscription_free_from: "string",
            subscription_free_to: "string",
          },
          payment_info: {
            owner: "string",
          },
          premium: "boolean",
          premium_state: "string",
          pro_details: {
            VAT_number: "string",
            corporate_name: "string",
            identification_number: "string",
            tax_identification_number: "string",
          },
          return_policy: "string",
          shipping_country: "string",
          shipping_types: ["string"],
          shipping_zones: ["string"],
          shippings: [
            {
              additional_fields: [
                {
                  code: "string",
                  type: "string",
                  value: "string",
                },
              ],
              shipping_free_amount: "number",
              shipping_type_code: "string",
              shipping_type_label: "string",
              shipping_zone_code: "string",
              shipping_zone_label: "string",
            },
          ],
          shop_additional_fields: [
            {
              code: "string",
              type: "string",
              value: "string",
            },
          ],
          shop_id: "integer",
          shop_name: "string",
          shop_state: "string",
        },
        shop_error: {
          errors: [
            {
              code: "string",
              field: "string",
              message: "string",
            },
          ],
          input: {
            address: {
              city: "string",
              civility: "string",
              country: "string",
              firstname: "string",
              lastname: "string",
              phone: "string",
              phone_secondary: "string",
              state: "string",
              street1: "string",
              street2: "string",
              zip_code: "string",
            },
            channel_codes: ["string"],
            closed_from_date: "string",
            closed_to_date: "string",
            currency_iso_code: "string",
            description: "string",
            domains: ["string"],
            email: "string",
            existing_user: {
              email: "string",
            },
            fax: "string",
            immunity_date: "string",
            is_professional: "boolean",
            new_user: {
              email: "string",
              locale: "string",
            },
            operator_internal_id: "string",
            password: "string",
            payment_blocked: "boolean",
            payment_info: {
              owner: "string",
            },
            pro_details: {
              corporate_name: "string",
              identification_number: "string",
              tax_identification_number: "string",
            },
            return_policy: "string",
            shipping_country: "string",
            shop_additional_fields: [
              {
                code: "string",
                value: "string",
              },
            ],
            shop_name: "string",
            suspend: "boolean",
            web_site: "string",
          },
        },
      },
    ],
  },
};
```

### Patch update shops [S07](https://help.mirakl.net/help/api-doc/operator/mmp.html#S07) - [OperatorClient]

```javascript
const res = await client.updateShops({
  shops: [
    {
      address: {
        city: "string",
        civility: "string",
        country: "string",
        firstname: "string",
        lastname: "string",
        phone: "string",
        phone_secondary: "string",
        state: "string",
        street1: "string",
        street2: "string",
        zip_code: "string",
      },
      channel_codes: ["string"],
      closed_from_date: "string",
      closed_to_date: "string",
      description: "string",
      email: "string",
      fax: "string",
      immunity_date: "string",
      is_professional: "boolean",
      kyc: {
        reason: "string",
        status_as_patch: "string",
      },
      operator_internal_id: "string",
      payment_blocked: "boolean",
      payment_information_as_patch: {
        owner: "string",
      },
      premium_state: "string",
      pro_details: {
        corporate_name: "string",
        identification_number: "string",
        tax_identification_number: "string",
      },
      return_policy: "string",
      shipping_country: "string",
      shop_additional_fields: [
        {
          code: "string",
          value: "string",
        },
      ],
      shop_id: "integer",
      shop_name: "string",
      suspend: "boolean",
      web_site: "string",
    },
  ],
});
```

#### Response

```javascript
{
  data: {
    shop_returns: [
      {
        shop_error: {
          errors: [
            {
              code: "string",
              field: "string",
              message: "string",
            },
          ],
          input: {
            address: {
              city: "string",
              civility: "string",
              country: "string",
              firstname: "string",
              lastname: "string",
              phone: "string",
              phone_secondary: "string",
              state: "string",
              street1: "string",
              street2: "string",
              zip_code: "string",
            },
            channel_codes: ["string"],
            closed_from_date: "string",
            closed_to_date: "string",
            description: "string",
            email: "string",
            fax: "string",
            immunity_date: "string",
            is_professional: "boolean",
            kyc: {
              reason: "string",
              status: "string",
            },
            operator_internal_id: "string",
            payment_blocked: "boolean",
            payment_info: {
              owner: "string",
            },
            premium_state: "string",
            pro_details: {
              corporate_name: "string",
              identification_number: "string",
              tax_identification_number: "string",
            },
            return_policy: "string",
            shipping_country: "string",
            shop_additional_fields: [
              {
                code: "string",
                value: "string",
              },
            ],
            shop_id: "integer",
            shop_name: "string",
            suspend: "boolean",
            web_site: "string",
          },
        },
        shop_updated: {
          approval_delay: "integer",
          approval_rate: "number",
          banner: "string",
          channels: ["string"],
          closed_from: "string",
          closed_to: "string",
          contact_informations: {
            city: "string",
            civility: "string",
            country: "string",
            email: "string",
            fax: "string",
            firstname: "string",
            lastname: "string",
            phone: "string",
            phone_secondary: "string",
            state: "string",
            street1: "string",
            street2: "string",
            web_site: "string",
            zip_code: "string",
          },
          currency_iso_code: "string",
          date_created: "string",
          description: "string",
          domains: ["string"],
          evaluations_count: "integer",
          free_shipping: "boolean",
          grade: "number",
          immunity_date: "string",
          is_professional: "boolean",
          kyc: {
            reason: "string",
            status: "string",
          },
          last_updated_date: "string",
          logo: "string",
          offers_count: "integer",
          operator_internal_id: "string",
          order_messages_response_delay: "integer",
          orders_count: "integer",
          payment_details: {
            paid_balance: "number",
            pay_subscription: "boolean",
            payable_balance: "number",
            payment_blocked: "boolean",
            pending_balance: "number",
            subscription_free_from: "string",
            subscription_free_to: "string",
          },
          payment_info: {
            owner: "string",
          },
          premium: "boolean",
          premium_state: "string",
          pro_details: {
            corporate_name: "string",
            identification_number: "string",
            tax_identification_number: "string",
          },
          return_policy: "string",
          shipping_country: "string",
          shippings: [
            {
              additional_fields: [
                {
                  code: "string",
                  type: "string",
                  value: "string",
                },
              ],
              shipping_free_amount: "number",
              shipping_type_code: "string",
              shipping_type_label: "string",
              shipping_zone_code: "string",
              shipping_zone_label: "string",
            },
          ],
          shop_additional_fields: [
            {
              code: "string",
              type: "string",
              value: "string",
            },
          ],
          shop_id: "integer",
          shop_name: "string",
          shop_state: "string",
        },
      },
    ],
  },
};
```

### List all shops [S20](https://help.mirakl.net/help/api-doc/operator/mmp.html#S20) - [OperatorClient]

```javascript
const res = await client.getListAllShops({
  shop_ids: "string[]",
  premium: "string", // "TRUE", "FALSE", "ALL"
  state: "string", // "PEN", "CLOSE", "SUSPENDED"
  updated_since: "string", // 2021-02-25T01:04:51+00:00,
  domains: "string[]", // ["PRODUCT", "SERVICE"],
  kyc_status: "string[]", // ["PENDING_SUBMISSION", "PENDING_APPROVAL","REFUSED", "APPROVED"],
  paginate: "boolean",
  max: "number", // up to 100
  offset: "number",
  sort: "string",
  order: "string", //asc , desc
});
```

#### Response

```javascript
{
  data: {
    shops: [
      {
        applicable_taxes: [
          {
            code: "string",
            label: "string",
          },
        ],
        approval_delay: "integer",
        approval_rate: "number",
        banner: "string",
        billing_info: {
          bank_city: "string",
          bank_name: "string",
          bank_street: "string",
          bic: "string",
          iban: "string",
          owner: "string",
          zip_code: "string",
        },
        channels: ["string"],
        closed_from: "string",
        closed_to: "string",
        contact_informations: {
          city: "string",
          civility: "string",
          country: "string",
          email: "string",
          fax: "string",
          firstname: "string",
          lastname: "string",
          phone: "string",
          phone_secondary: "string",
          state: "string",
          street1: "string",
          street2: "string",
          web_site: "string",
          zip_code: "string",
        },
        currency_iso_code: "string",
        date_created: "string",
        description: "string",
        domains: ["string"],
        evaluations_count: "integer",
        free_shipping: "boolean",
        grade: "number",
        immunity_date: "string",
        is_professional: "boolean",
        kyc: {
          reason: "string",
          status: "string",
        },
        last_updated_date: "string",
        logo: "string",
        offers_count: "integer",
        operator_internal_id: "string",
        order_messages_response_delay: "integer",
        orders_count: "integer",
        payment_details: {
          paid_balance: "number",
          pay_subscription: "boolean",
          payable_balance: "number",
          payment_blocked: "boolean",
          pending_balance: "number",
          subscription_free_from: "string",
          subscription_free_to: "string",
        },
        payment_info: {
          owner: "string",
        },
        premium: "boolean",
        premium_state: "string",
        pro_details: {
          VAT_number: "string",
          corporate_name: "string",
          identification_number: "string",
          tax_identification_number: "string",
        },
        return_policy: "string",
        shipping_country: "string",
        shipping_types: ["string"],
        shipping_zones: ["string"],
        shippings: [
          {
            additional_fields: [
              {
                code: "string",
                type: "string",
                value: "string",
              },
            ],
            shipping_free_amount: "number",
            shipping_type_code: "string",
            shipping_type_label: "string",
            shipping_zone_code: "string",
            shipping_zone_label: "string",
          },
        ],
        shop_additional_fields: [
          {
            code: "string",
            type: "string",
            value: "string",
          },
        ],
        shop_id: "integer",
        shop_name: "string",
        shop_state: "string",
      },
    ],
    total_count: "integer",
  },
};
```

### List offers of a shop [S04](https://help.mirakl.net/help/api-doc/operator/mmp.html#S04) - [OperatorClient]

```javascript
const res = await client.getListOffersByShopId("shop-id-01", {
  offer_state_codes: "string[]",
  all_offers: "boolean",
  product_skus: "string[]",
  favorite: "boolean",
  pricing_channel_code: "string",
  locale: "string",
  max: "number", // up to 100
  offset: "number",
  sort: "string",
  order: "string",
});
```

#### Response

```javascript
{
  data: {
    offers: [
      {
        active: "boolean",
        all_prices: [
          {
            channel_code: "string",
            discount_end_date: "string",
            discount_start_date: "string",
            price: "number",
            unit_discount_price: "number",
            unit_origin_price: "number",
            volume_prices: [
              {
                price: "number",
                quantity_threshold: "integer",
                unit_discount_price: "number",
                unit_origin_price: "number",
              },
            ],
          },
        ],
        allow_quote_requests: "boolean",
        applicable_pricing: {
          channel_code: "string",
          discount_end_date: "string",
          discount_start_date: "string",
          price: "number",
          unit_discount_price: "number",
          unit_origin_price: "number",
          volume_prices: [
            {
              price: "number",
              quantity_threshold: "integer",
              unit_discount_price: "number",
              unit_origin_price: "number",
            },
          ],
        },
        available_end_date: "string",
        available_start_date: "string",
        category_code: "string",
        category_label: "string",
        channels: ["string"],
        currency_iso_code: "string",
        description: "string",
        discount: {
          discount_price: "number",
          end_date: "string",
          origin_price: "number",
          ranges: [
            {
              price: "number",
              quantity_threshold: "integer",
            },
          ],
          start_date: "string",
        },
        favorite_rank: "integer",
        inactivity_reasons: ["string"],
        leadtime_to_ship: "integer",
        logistic_class: {
          code: "string",
          label: "string",
        },
        max_order_quantity: "integer",
        min_order_quantity: "integer",
        min_quantity_alert: "integer",
        min_shipping_price: "number",
        min_shipping_price_additional: "number",
        min_shipping_type: "string",
        min_shipping_zone: "string",
        offer_additional_fields: [
          {
            code: "string",
            type: "string",
            value: "string",
          },
        ],
        offer_id: "integer",
        package_quantity: "integer",
        price: "number",
        price_additional_info: "string",
        product_references: [
          {
            reference: "string",
            reference_type: "string",
          },
        ],
        product_sku: "string",
        product_tax_code: "string",
        product_title: "string",
        quantity: "integer",
        shop_grade: "number",
        shop_id: "integer",
        shop_name: "string",
        shop_sku: "string",
        state_code: "string",
        total_price: "number",
      },
    ],
    total_count: "integer",
  },
};
```

### List evaluations of a shop [S03](https://help.mirakl.net/help/api-doc/operator/mmp.html#S03) - [OperatorClient]

```javascript
const res = await client.getListEvaluationsByShopId("shop-001", {
  max: "number", // up to 100
  offset: "number",
  sort: "string",
  order: "string",
});
```

#### Response

```javascript
{
  data: {
    evaluations: [
      {
        assessments: [
          {
            code: "string",
            label: "string",
            response: "string",
          },
        ],
        comment: "string",
        customer_id: "string",
        date: "string",
        entity: {
          creation_date: "string",
          id: "string",
          type: "string",
        },
        firstname: "string",
        grade: "integer",
        last_updated_date: "string",
        lastname: "string",
        reply: {
          comment: "string",
          date: "string",
          type: "string",
        },
        visible: "boolean",
      },
    ],
    total_count: "integer",
  },
};
```
