const CURRENCY_ISO_CODE = [
  { code: 'AFN', currency: 'Afghani' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'ALL', currency: 'Lek' },
  { code: 'DZD', currency: 'Algerian Dinar' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'AOA', currency: 'Kwanza' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'ARS', currency: 'Argentine Peso' },
  { code: 'AMD', currency: 'Armenian Dram' },
  { code: 'AWG', currency: 'Aruban Florin' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'AZN', currency: 'Azerbaijan Manat' },
  { code: 'BSD', currency: 'Bahamian Dollar' },
  { code: 'BHD', currency: 'Bahraini Dinar' },
  { code: 'BDT', currency: 'Taka' },
  { code: 'BBD', currency: 'Barbados Dollar' },
  { code: 'BYN', currency: 'Belarusian Ruble' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'BZD', currency: 'Belize Dollar' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'BMD', currency: 'Bermudian Dollar' },
  { code: 'INR', currency: 'Indian Rupee' },
  { code: 'BTN', currency: 'Ngultrum' },
  { code: 'BOB', currency: 'Boliviano' },
  { code: 'BOV', currency: 'Mvdol' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'BAM', currency: 'Convertible Mark' },
  { code: 'BWP', currency: 'Pula' },
  { code: 'NOK', currency: 'Norwegian Krone' },
  { code: 'BRL', currency: 'Brazilian Real' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'BND', currency: 'Brunei Dollar' },
  { code: 'BGN', currency: 'Bulgarian Lev' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'BIF', currency: 'Burundi Franc' },
  { code: 'CVE', currency: 'Cabo Verde Escudo' },
  { code: 'KHR', currency: 'Riel' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'CAD', currency: 'Canadian Dollar' },
  { code: 'KYD', currency: 'Cayman Islands Dollar' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'CLP', currency: 'Chilean Peso' },
  { code: 'CLF', currency: 'Unidad de Fomento' },
  { code: 'CNY', currency: 'Yuan Renminbi' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'COP', currency: 'Colombian Peso' },
  { code: 'COU', currency: 'Unidad de Valor Real' },
  { code: 'KMF', currency: 'Comorian Franc' },
  { code: 'CDF', currency: 'Congolese Franc' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'NZD', currency: 'New Zealand Dollar' },
  { code: 'CRC', currency: 'Costa Rican Colon' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'HRK', currency: 'Kuna' },
  { code: 'CUP', currency: 'Cuban Peso' },
  { code: 'CUC', currency: 'Peso Convertible' },
  { code: 'ANG', currency: 'Netherlands Antillean Guilder' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'CZK', currency: 'Czech Koruna' },
  { code: 'DKK', currency: 'Danish Krone' },
  { code: 'DJF', currency: 'Djibouti Franc' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'DOP', currency: 'Dominican Peso' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'EGP', currency: 'Egyptian Pound' },
  { code: 'SVC', currency: 'El Salvador Colon' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'ERN', currency: 'Nakfa' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'SZL', currency: 'Lilangeni' },
  { code: 'ETB', currency: 'Ethiopian Birr' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'FKP', currency: 'Falkland Islands Pound' },
  { code: 'DKK', currency: 'Danish Krone' },
  { code: 'FJD', currency: 'Fiji Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XPF', currency: 'CFP Franc' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XAF', currency: 'CFA Franc BEAC' },
  { code: 'GMD', currency: 'Dalasi' },
  { code: 'GEL', currency: 'Lari' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'GHS', currency: 'Ghana Cedi' },
  { code: 'GIP', currency: 'Gibraltar Pound' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'DKK', currency: 'Danish Krone' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'GTQ', currency: 'Quetzal' },
  { code: 'GBP', currency: 'Pound Sterling' },
  { code: 'GNF', currency: 'Guinean Franc' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'GYD', currency: 'Guyana Dollar' },
  { code: 'HTG', currency: 'Gourde' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'HNL', currency: 'Lempira' },
  { code: 'HKD', currency: 'Hong Kong Dollar' },
  { code: 'HUF', currency: 'Forint' },
  { code: 'ISK', currency: 'Iceland Krona' },
  { code: 'INR', currency: 'Indian Rupee' },
  { code: 'IDR', currency: 'Rupiah' },
  { code: 'XDR', currency: 'SDR (Special Drawing Right)' },
  { code: 'IRR', currency: 'Iranian Rial' },
  { code: 'IQD', currency: 'Iraqi Dinar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'GBP', currency: 'Pound Sterling' },
  { code: 'ILS', currency: 'New Israeli Sheqel' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'JMD', currency: 'Jamaican Dollar' },
  { code: 'JPY', currency: 'Yen' },
  { code: 'GBP', currency: 'Pound Sterling' },
  { code: 'JOD', currency: 'Jordanian Dinar' },
  { code: 'KZT', currency: 'Tenge' },
  { code: 'KES', currency: 'Kenyan Shilling' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'KPW', currency: 'North Korean Won' },
  { code: 'KRW', currency: 'Won' },
  { code: 'KWD', currency: 'Kuwaiti Dinar' },
  { code: 'KGS', currency: 'Som' },
  { code: 'LAK', currency: 'Lao Kip' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'LBP', currency: 'Lebanese Pound' },
  { code: 'LSL', currency: 'Loti' },
  { code: 'ZAR', currency: 'Rand' },
  { code: 'LRD', currency: 'Liberian Dollar' },
  { code: 'LYD', currency: 'Libyan Dinar' },
  { code: 'CHF', currency: 'Swiss Franc' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'MOP', currency: 'Pataca' },
  { code: 'MKD', currency: 'Denar' },
  { code: 'MGA', currency: 'Malagasy Ariary' },
  { code: 'MWK', currency: 'Malawi Kwacha' },
  { code: 'MYR', currency: 'Malaysian Ringgit' },
  { code: 'MVR', currency: 'Rufiyaa' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'MRU', currency: 'Ouguiya' },
  { code: 'MUR', currency: 'Mauritius Rupee' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XUA', currency: 'ADB Unit of Account' },
  { code: 'MXN', currency: 'Mexican Peso' },
  { code: 'MXV', currency: 'Mexican Unidad de Inversion (UDI)' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'MDL', currency: 'Moldovan Leu' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'MNT', currency: 'Tugrik' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'MAD', currency: 'Moroccan Dirham' },
  { code: 'MZN', currency: 'Mozambique Metical' },
  { code: 'MMK', currency: 'Kyat' },
  { code: 'NAD', currency: 'Namibia Dollar' },
  { code: 'ZAR', currency: 'Rand' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'NPR', currency: 'Nepalese Rupee' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XPF', currency: 'CFP Franc' },
  { code: 'NZD', currency: 'New Zealand Dollar' },
  { code: 'NIO', currency: 'Cordoba Oro' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'NGN', currency: 'Naira' },
  { code: 'NZD', currency: 'New Zealand Dollar' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'NOK', currency: 'Norwegian Krone' },
  { code: 'OMR', currency: 'Rial Omani' },
  { code: 'PKR', currency: 'Pakistan Rupee' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'PAB', currency: 'Balboa' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'PGK', currency: 'Kina' },
  { code: 'PYG', currency: 'Guarani' },
  { code: 'PEN', currency: 'Sol' },
  { code: 'PHP', currency: 'Philippine Peso' },
  { code: 'NZD', currency: 'New Zealand Dollar' },
  { code: 'PLN', currency: 'Zloty' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'QAR', currency: 'Qatari Rial' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'RON', currency: 'Romanian Leu' },
  { code: 'RUB', currency: 'Russian Ruble' },
  { code: 'RWF', currency: 'Rwanda Franc' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'SHP', currency: 'Saint Helena Pound' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'XCD', currency: 'East Caribbean Dollar' },
  { code: 'WST', currency: 'Tala' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'STN', currency: 'Dobra' },
  { code: 'SAR', currency: 'Saudi Riyal' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'RSD', currency: 'Serbian Dinar' },
  { code: 'SCR', currency: 'Seychelles Rupee' },
  { code: 'SLL', currency: 'Leone' },
  { code: 'SGD', currency: 'Singapore Dollar' },
  { code: 'ANG', currency: 'Netherlands Antillean Guilder' },
  { code: 'XSU', currency: 'Sucre' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'SBD', currency: 'Solomon Islands Dollar' },
  { code: 'SOS', currency: 'Somali Shilling' },
  { code: 'ZAR', currency: 'Rand' },
  { code: 'SSP', currency: 'South Sudanese Pound' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'LKR', currency: 'Sri Lanka Rupee' },
  { code: 'SDG', currency: 'Sudanese Pound' },
  { code: 'SRD', currency: 'Surinam Dollar' },
  { code: 'NOK', currency: 'Norwegian Krone' },
  { code: 'SEK', currency: 'Swedish Krona' },
  { code: 'CHF', currency: 'Swiss Franc' },
  { code: 'CHE', currency: 'WIR Euro' },
  { code: 'CHW', currency: 'WIR Franc' },
  { code: 'SYP', currency: 'Syrian Pound' },
  { code: 'TWD', currency: 'New Taiwan Dollar' },
  { code: 'TJS', currency: 'Somoni' },
  { code: 'TZS', currency: 'Tanzanian Shilling' },
  { code: 'THB', currency: 'Baht' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'XOF', currency: 'CFA Franc BCEAO' },
  { code: 'NZD', currency: 'New Zealand Dollar' },
  { code: 'TOP', currency: "Pa'anga" },
  { code: 'TTD', currency: 'Trinidad and Tobago Dollar' },
  { code: 'TND', currency: 'Tunisian Dinar' },
  { code: 'TRY', currency: 'Turkish Lira' },
  { code: 'TMT', currency: 'Turkmenistan New Manat' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'AUD', currency: 'Australian Dollar' },
  { code: 'UGX', currency: 'Uganda Shilling' },
  { code: 'UAH', currency: 'Hryvnia' },
  { code: 'AED', currency: 'UAE Dirham' },
  { code: 'GBP', currency: 'Pound Sterling' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'USN', currency: 'US Dollar (Next day)' },
  { code: 'UYU', currency: 'Peso Uruguayo' },
  { code: 'UYI', currency: 'Uruguay Peso en Unidades Indexadas (UI)' },
  { code: 'UYW', currency: 'Unidad Previsional' },
  { code: 'UZS', currency: 'Uzbekistan Sum' },
  { code: 'VUV', currency: 'Vatu' },
  { code: 'VES', currency: 'Bolívar Soberano' },
  { code: 'VND', currency: 'Dong' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'USD', currency: 'US Dollar' },
  { code: 'XPF', currency: 'CFP Franc' },
  { code: 'MAD', currency: 'Moroccan Dirham' },
  { code: 'YER', currency: 'Yemeni Rial' },
  { code: 'ZMW', currency: 'Zambian Kwacha' },
  { code: 'ZWL', currency: 'Zimbabwe Dollar' },
  {
    code: 'XBA',
    currency: 'Bond Markets Unit European Composite Unit (EURCO)',
  },
  {
    code: 'XBB',
    currency: 'Bond Markets Unit European Monetary Unit (E.M.U.-6)',
  },
  {
    code: 'XBC',
    currency: 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)',
  },
  {
    code: 'XBD',
    currency: 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)',
  },
  { code: 'XTS', currency: 'Codes specifically reserved for testing purposes' },
  {
    code: 'XXX',
    currency:
      'The codes assigned for transactions where no currency is involved',
  },
  { code: 'XAU', currency: 'Gold' },
  { code: 'XPD', currency: 'Palladium' },
  { code: 'XPT', currency: 'Platinum' },
  { code: 'XAG', currency: 'Silver' },
  { code: 'AFA', currency: 'Afghani' },
  { code: 'FIM', currency: 'Markka' },
  { code: 'ALK', currency: 'Old Lek' },
  { code: 'ADP', currency: 'Andorran Peseta' },
  { code: 'ESP', currency: 'Spanish Peseta' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'AOK', currency: 'Kwanza' },
  { code: 'AON', currency: 'New Kwanza' },
  { code: 'AOR', currency: 'Kwanza Reajustado' },
  { code: 'ARA', currency: 'Austral' },
  { code: 'ARP', currency: 'Peso Argentino' },
  { code: 'ARY', currency: 'Peso' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'ATS', currency: 'Schilling' },
  { code: 'AYM', currency: 'Azerbaijan Manat' },
  { code: 'AZM', currency: 'Azerbaijanian Manat' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'BYB', currency: 'Belarusian Ruble' },
  { code: 'BYR', currency: 'Belarusian Ruble' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'BEC', currency: 'Convertible Franc' },
  { code: 'BEF', currency: 'Belgian Franc' },
  { code: 'BEL', currency: 'Financial Franc' },
  { code: 'BOP', currency: 'Peso boliviano' },
  { code: 'BAD', currency: 'Dinar' },
  { code: 'BRB', currency: 'Cruzeiro' },
  { code: 'BRC', currency: 'Cruzado' },
  { code: 'BRE', currency: 'Cruzeiro' },
  { code: 'BRN', currency: 'New Cruzado' },
  { code: 'BRR', currency: 'Cruzeiro Real' },
  { code: 'BGJ', currency: 'Lev A/52' },
  { code: 'BGK', currency: 'Lev A/62' },
  { code: 'BGL', currency: 'Lev' },
  { code: 'BUK', currency: 'Kyat' },
  { code: 'HRD', currency: 'Croatian Dinar' },
  { code: 'HRK', currency: 'Croatian Kuna' },
  { code: 'CYP', currency: 'Cyprus Pound' },
  { code: 'CSJ', currency: 'Krona A/53' },
  { code: 'CSK', currency: 'Koruna' },
  { code: 'ECS', currency: 'Sucre' },
  { code: 'ECV', currency: 'Unidad de Valor Constante (UVC)' },
  { code: 'GQE', currency: 'Ekwele' },
  { code: 'EEK', currency: 'Kroon' },
  { code: 'XEU', currency: 'European Currency Unit (E.C.U)' },
  { code: 'FIM', currency: 'Markka' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'GEK', currency: 'Georgian Coupon' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'DDM', currency: 'Mark der DDR' },
  { code: 'DEM', currency: 'Deutsche Mark' },
  { code: 'GHC', currency: 'Cedi' },
  { code: 'GHP', currency: 'Ghana Cedi' },
  { code: 'GRD', currency: 'Drachma' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'GNE', currency: 'Syli' },
  { code: 'GNS', currency: 'Syli' },
  { code: 'GWE', currency: 'Guinea Escudo' },
  { code: 'GWP', currency: 'Guinea-Bissau Peso' },
  { code: 'ITL', currency: 'Italian Lira' },
  { code: 'ISJ', currency: 'Old Krona' },
  { code: 'IEP', currency: 'Irish Pound' },
  { code: 'ILP', currency: 'Pound' },
  { code: 'ILR', currency: 'Old Shekel' },
  { code: 'ITL', currency: 'Italian Lira' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'LAJ', currency: 'Pathet Lao Kip' },
  { code: 'LVL', currency: 'Latvian Lats' },
  { code: 'LVR', currency: 'Latvian Ruble' },
  { code: 'LSM', currency: 'Loti' },
  { code: 'ZAL', currency: 'Financial Rand' },
  { code: 'LTL', currency: 'Lithuanian Litas' },
  { code: 'LTT', currency: 'Talonas' },
  { code: 'LUC', currency: 'Luxembourg Convertible Franc' },
  { code: 'LUF', currency: 'Luxembourg Franc' },
  { code: 'LUL', currency: 'Luxembourg Financial Franc' },
  { code: 'MGF', currency: 'Malagasy Franc' },
  { code: 'MWK', currency: 'Kwacha' },
  { code: 'MVQ', currency: 'Maldive Rupee' },
  { code: 'MLF', currency: 'Mali Franc' },
  { code: 'MTL', currency: 'Maltese Lira' },
  { code: 'MTP', currency: 'Maltese Pound' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'MRO', currency: 'Ouguiya' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'MXP', currency: 'Mexican Peso' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'MZE', currency: 'Mozambique Escudo' },
  { code: 'MZM', currency: 'Mozambique Metical' },
  { code: 'NLG', currency: 'Netherlands Guilder' },
  { code: 'ANG', currency: 'Netherlands Antillean Guilder' },
  { code: 'NIC', currency: 'Cordoba' },
  { code: 'PEH', currency: 'Sol' },
  { code: 'PEI', currency: 'Inti' },
  { code: 'PEN', currency: 'Nuevo Sol' },
  { code: 'PES', currency: 'Sol' },
  { code: 'PLZ', currency: 'Zloty' },
  { code: 'PTE', currency: 'Portuguese Escudo' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'ROK', currency: 'Leu A/52' },
  { code: 'ROL', currency: 'Old Leu' },
  { code: 'RON', currency: 'New Romanian Leu' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'FRF', currency: 'French Franc' },
  { code: 'ITL', currency: 'Italian Lira' },
  { code: 'STD', currency: 'Dobra' },
  { code: 'CSD', currency: 'Serbian Dinar' },
  { code: 'EUR', currency: 'Euro' },
  { code: 'SKK', currency: 'Slovak Koruna' },
  { code: 'SIT', currency: 'Tolar' },
  { code: 'ZAL', currency: 'Financial Rand' },
  { code: 'SDG', currency: 'Sudanese Pound' },
  { code: 'RHD', currency: 'Rhodesian Dollar' },
  { code: 'ESA', currency: 'Spanish Peseta' },
  { code: 'ESB', currency: '"A" Account (convertible Peseta Account)' },
  { code: 'ESP', currency: 'Spanish Peseta' },
  { code: 'SDD', currency: 'Sudanese Dinar' },
  { code: 'SDP', currency: 'Sudanese Pound' },
  { code: 'SRG', currency: 'Surinam Guilder' },
  { code: 'SZL', currency: 'Lilangeni' },
  { code: 'CHC', currency: 'WIR Franc (for electronic)' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'TJR', currency: 'Tajik Ruble' },
  { code: 'IDR', currency: 'Rupiah' },
  { code: 'TPE', currency: 'Timor Escudo' },
  { code: 'TRL', currency: 'Old Turkish Lira' },
  { code: 'TRY', currency: 'New Turkish Lira' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'TMM', currency: 'Turkmenistan Manat' },
  { code: 'UGS', currency: 'Uganda Shilling' },
  { code: 'UGW', currency: 'Old Shilling' },
  { code: 'UAK', currency: 'Karbovanet' },
  { code: 'SUR', currency: 'Rouble' },
  { code: 'USS', currency: 'US Dollar (Same day)' },
  { code: 'UYN', currency: 'Old Uruguay Peso' },
  { code: 'UYP', currency: 'Uruguayan Peso' },
  { code: 'RUR', currency: 'Russian Ruble' },
  { code: 'VEB', currency: 'Bolivar' },
  { code: 'VEF', currency: 'Bolivar Fuerte' },
  { code: 'VEF', currency: 'Bolivar' },
  { code: 'VEF', currency: 'Bolívar' },
  { code: 'VNC', currency: 'Old Dong' },
  { code: 'YDD', currency: 'Yemeni Dinar' },
  { code: 'YUD', currency: 'New Yugoslavian Dinar' },
  { code: 'YUM', currency: 'New Dinar' },
  { code: 'YUN', currency: 'Yugoslavian Dinar' },
  { code: 'ZRN', currency: 'New Zaire' },
  { code: 'ZRZ', currency: 'Zaire' },
  { code: 'ZMK', currency: 'Zambian Kwacha' },
  { code: 'ZWC', currency: 'Rhodesian Dollar' },
  { code: 'ZWD', currency: 'Zimbabwe Dollar (old)' },
  { code: 'ZWD', currency: 'Zimbabwe Dollar' },
  { code: 'ZWN', currency: 'Zimbabwe Dollar (new)' },
  { code: 'ZWR', currency: 'Zimbabwe Dollar' },
  { code: 'XFO', currency: 'Gold-Franc' },
  { code: 'XRE', currency: 'RINET Funds Code' },
  { code: 'XFU', currency: 'UIC-Franc' },
];
// eslint-disable-next-line max-len
const COUNTRY_ISO_CODES = 'AFG, ALA, ALB, DZA, ASM, AND, AGO, AIA, ATA, ATG, ARG, ARM, ABW, AUS, AUT, AZE, BHS, BHR, BGD, BRB, BLR, BEL, BLZ, BEN, BMU, BTN, BOL, BES, BIH, BWA, BVT, BRA, IOT, BRN, BGR, BFA, BDI, KHM, CMR, CAN, CPV, CYM, CAF, TCD, CHL, CHN, CXR, CCK, COL, COM, COG, COD, COK, CRI, CIV, HRV, CUB, CUW, CYP, CZE, DNK, DJI, DMA, DOM, ECU, EGY, SLV, GNQ, ERI, EST, ETH, FLK, FRO, FJI, FIN, FRA, GUF, PYF, ATF, GAB, GMB, GEO, DEU, GHA, GIB, GRC, GRL, GRD, GLP, GUM, GTM, GGY, GIN, GNB, GUY, HTI, HMD, VAT, HND, HKG, HUN, ISL, IND, IDN, IRQ, IRL, IMN, ISR, ITA, JAM, JPN, JEY, JOR, KAZ, KEN, KIR, KOR, KWT, KGZ, LAO, LVA, LBN, LSO, LBR, LBY, LIE, LTU, LUX, MAC, MKD, MDG, MWI, MYS, MDV, MLI, MLT, MHL, MTQ, MRT, MUS, MYT, MEX, FSM, MDA, MCO, MNG, MNE, MSR, MAR, MOZ, MMR, NAM, NRU, NPL, NLD, NCL, NZL, NIC, NER, NGA, NIU, NFK, MNP, NOR, OMN, PAK, PLW, PSE, PAN, PNG, PRY, PER, PHL, PCN, POL, PRT, PRI, QAT, REU, ROU, RUS, RWA, BLM, SHN, KNA, LCA, MAF, SPM, VCT, WSM, SMR, STP, SAU, SEN, SRB, SYC, SLE, SGP, SXM, SVK, SVN, SLB, SOM, ZAF, SGS, SSD, ESP, LKA, SUR, SJM, SWZ, SWE, CHE, TWN, TJK, TZA, THA, TLS, TGO, TKL, TON, TTO, TUN, TUR, TKM, TCA, TUV, UGA, UKR, ARE, GBR, USA, UMI, URY, UZB, VUT, VEN, VNM, VGB, VIR, WLF, ESH, YEM, ZMB, ZWE';
const LANGUAGE_BY_LOCALE = {
  af_NA: 'Afrikaans (Namibia)',
  af_ZA: 'Afrikaans (South Africa)',
  af: 'Afrikaans',
  ak_GH: 'Akan (Ghana)',
  ak: 'Akan',
  sq_AL: 'Albanian (Albania)',
  sq: 'Albanian',
  am_ET: 'Amharic (Ethiopia)',
  am: 'Amharic',
  ar_DZ: 'Arabic (Algeria)',
  ar_BH: 'Arabic (Bahrain)',
  ar_EG: 'Arabic (Egypt)',
  ar_IQ: 'Arabic (Iraq)',
  ar_JO: 'Arabic (Jordan)',
  ar_KW: 'Arabic (Kuwait)',
  ar_LB: 'Arabic (Lebanon)',
  ar_LY: 'Arabic (Libya)',
  ar_MA: 'Arabic (Morocco)',
  ar_OM: 'Arabic (Oman)',
  ar_QA: 'Arabic (Qatar)',
  ar_SA: 'Arabic (Saudi Arabia)',
  ar_SD: 'Arabic (Sudan)',
  ar_SY: 'Arabic (Syria)',
  ar_TN: 'Arabic (Tunisia)',
  ar_AE: 'Arabic (United Arab Emirates)',
  ar_YE: 'Arabic (Yemen)',
  ar: 'Arabic',
  hy_AM: 'Armenian (Armenia)',
  hy: 'Armenian',
  as_IN: 'Assamese (India)',
  as: 'Assamese',
  asa_TZ: 'Asu (Tanzania)',
  asa: 'Asu',
  az_Cyrl: 'Azerbaijani (Cyrillic)',
  az_Cyrl_AZ: 'Azerbaijani (Cyrillic, Azerbaijan)',
  az_Latn: 'Azerbaijani (Latin)',
  az_Latn_AZ: 'Azerbaijani (Latin, Azerbaijan)',
  az: 'Azerbaijani',
  bm_ML: 'Bambara (Mali)',
  bm: 'Bambara',
  eu_ES: 'Basque (Spain)',
  eu: 'Basque',
  be_BY: 'Belarusian (Belarus)',
  be: 'Belarusian',
  bem_ZM: 'Bemba (Zambia)',
  bem: 'Bemba',
  bez_TZ: 'Bena (Tanzania)',
  bez: 'Bena',
  bn_BD: 'Bengali (Bangladesh)',
  bn_IN: 'Bengali (India)',
  bn: 'Bengali',
  bs_BA: 'Bosnian (Bosnia and Herzegovina)',
  bs: 'Bosnian',
  bg_BG: 'Bulgarian (Bulgaria)',
  bg: 'Bulgarian',
  my_MM: 'Burmese (Myanmar [Burma])',
  my: 'Burmese',
  yue_Hant_HK: 'Cantonese (Traditional, Hong Kong SAR China)',
  ca_ES: 'Catalan (Spain)',
  ca: 'Catalan',
  tzm_Latn: 'Central Morocco Tamazight (Latin)',
  tzm_Latn_MA: 'Central Morocco Tamazight (Latin, Morocco)',
  tzm: 'Central Morocco Tamazight',
  chr_US: 'Cherokee (United States)',
  chr: 'Cherokee',
  cgg_UG: 'Chiga (Uganda)',
  cgg: 'Chiga',
  zh_Hans: 'Chinese (Simplified Han)',
  zh_Hans_CN: 'Chinese (Simplified Han, China)',
  zh_Hans_HK: 'Chinese (Simplified Han, Hong Kong SAR China)',
  zh_Hans_MO: 'Chinese (Simplified Han, Macau SAR China)',
  zh_Hans_SG: 'Chinese (Simplified Han, Singapore)',
  zh_Hant: 'Chinese (Traditional Han)',
  zh_Hant_HK: 'Chinese (Traditional Han, Hong Kong SAR China)',
  zh_Hant_MO: 'Chinese (Traditional Han, Macau SAR China)',
  zh_Hant_TW: 'Chinese (Traditional Han, Taiwan)',
  zh: 'Chinese',
  kw_GB: 'Cornish (United Kingdom)',
  kw: 'Cornish',
  hr_HR: 'Croatian (Croatia)',
  hr: 'Croatian',
  cs_CZ: 'Czech (Czech Republic)',
  cs: 'Czech',
  da_DK: 'Danish (Denmark)',
  da: 'Danish',
  nl_BE: 'Dutch (Belgium)',
  nl_NL: 'Dutch (Netherlands)',
  nl: 'Dutch',
  ebu_KE: 'Embu (Kenya)',
  ebu: 'Embu',
  en_AS: 'English (American Samoa)',
  en_AU: 'English (Australia)',
  en_BE: 'English (Belgium)',
  en_BZ: 'English (Belize)',
  en_BW: 'English (Botswana)',
  en_CA: 'English (Canada)',
  en_GU: 'English (Guam)',
  en_HK: 'English (Hong Kong SAR China)',
  en_IN: 'English (India)',
  en_IE: 'English (Ireland)',
  en_IL: 'English (Israel)',
  en_JM: 'English (Jamaica)',
  en_MT: 'English (Malta)',
  en_MH: 'English (Marshall Islands)',
  en_MU: 'English (Mauritius)',
  en_NA: 'English (Namibia)',
  en_NZ: 'English (New Zealand)',
  en_MP: 'English (Northern Mariana Islands)',
  en_PK: 'English (Pakistan)',
  en_PH: 'English (Philippines)',
  en_SG: 'English (Singapore)',
  en_ZA: 'English (South Africa)',
  en_TT: 'English (Trinidad and Tobago)',
  en_UM: 'English (U.S. Minor Outlying Islands)',
  en_VI: 'English (U.S. Virgin Islands)',
  en_GB: 'English (United Kingdom)',
  en_US: 'English (United States)',
  en_ZW: 'English (Zimbabwe)',
  en: 'English',
  eo: 'Esperanto',
  et_EE: 'Estonian (Estonia)',
  et: 'Estonian',
  ee_GH: 'Ewe (Ghana)',
  ee_TG: 'Ewe (Togo)',
  ee: 'Ewe',
  fo_FO: 'Faroese (Faroe Islands)',
  fo: 'Faroese',
  fil_PH: 'Filipino (Philippines)',
  fil: 'Filipino',
  fi_FI: 'Finnish (Finland)',
  fi: 'Finnish',
  fr_BE: 'French (Belgium)',
  fr_BJ: 'French (Benin)',
  fr_BF: 'French (Burkina Faso)',
  fr_BI: 'French (Burundi)',
  fr_CM: 'French (Cameroon)',
  fr_CA: 'French (Canada)',
  fr_CF: 'French (Central African Republic)',
  fr_TD: 'French (Chad)',
  fr_KM: 'French (Comoros)',
  fr_CG: 'French (Congo - Brazzaville)',
  fr_CD: 'French (Congo - Kinshasa)',
  fr_CI: 'French (Côte d’Ivoire)',
  fr_DJ: 'French (Djibouti)',
  fr_GQ: 'French (Equatorial Guinea)',
  fr_FR: 'French (France)',
  fr_GA: 'French (Gabon)',
  fr_GP: 'French (Guadeloupe)',
  fr_GN: 'French (Guinea)',
  fr_LU: 'French (Luxembourg)',
  fr_MG: 'French (Madagascar)',
  fr_ML: 'French (Mali)',
  fr_MQ: 'French (Martinique)',
  fr_MC: 'French (Monaco)',
  fr_NE: 'French (Niger)',
  fr_RW: 'French (Rwanda)',
  fr_RE: 'French (Réunion)',
  fr_BL: 'French (Saint Barthélemy)',
  fr_MF: 'French (Saint Martin)',
  fr_SN: 'French (Senegal)',
  fr_CH: 'French (Switzerland)',
  fr_TG: 'French (Togo)',
  fr: 'French',
  ff_SN: 'Fulah (Senegal)',
  ff: 'Fulah',
  gl_ES: 'Galician (Spain)',
  gl: 'Galician',
  lg_UG: 'Ganda (Uganda)',
  lg: 'Ganda',
  ka_GE: 'Georgian (Georgia)',
  ka: 'Georgian',
  de_AT: 'German (Austria)',
  de_BE: 'German (Belgium)',
  de_DE: 'German (Germany)',
  de_LI: 'German (Liechtenstein)',
  de_LU: 'German (Luxembourg)',
  de_CH: 'German (Switzerland)',
  de: 'German',
  el_CY: 'Greek (Cyprus)',
  el_GR: 'Greek (Greece)',
  el: 'Greek',
  gu_IN: 'Gujarati (India)',
  gu: 'Gujarati',
  guz_KE: 'Gusii (Kenya)',
  guz: 'Gusii',
  ha_Latn: 'Hausa (Latin)',
  ha_Latn_GH: 'Hausa (Latin, Ghana)',
  ha_Latn_NE: 'Hausa (Latin, Niger)',
  ha_Latn_NG: 'Hausa (Latin, Nigeria)',
  ha: 'Hausa',
  haw_US: 'Hawaiian (United States)',
  haw: 'Hawaiian',
  he_IL: 'Hebrew (Israel)',
  he: 'Hebrew',
  hi_IN: 'Hindi (India)',
  hi: 'Hindi',
  hu_HU: 'Hungarian (Hungary)',
  hu: 'Hungarian',
  is_IS: 'Icelandic (Iceland)',
  is: 'Icelandic',
  ig_NG: 'Igbo (Nigeria)',
  ig: 'Igbo',
  id_ID: 'Indonesian (Indonesia)',
  id: 'Indonesian',
  ga_IE: 'Irish (Ireland)',
  ga: 'Irish',
  it_IT: 'Italian (Italy)',
  it_CH: 'Italian (Switzerland)',
  it: 'Italian',
  ja_JP: 'Japanese (Japan)',
  ja: 'Japanese',
  kea_CV: 'Kabuverdianu (Cape Verde)',
  kea: 'Kabuverdianu',
  kab_DZ: 'Kabyle (Algeria)',
  kab: 'Kabyle',
  kl_GL: 'Kalaallisut (Greenland)',
  kl: 'Kalaallisut',
  kln_KE: 'Kalenjin (Kenya)',
  kln: 'Kalenjin',
  kam_KE: 'Kamba (Kenya)',
  kam: 'Kamba',
  kn_IN: 'Kannada (India)',
  kn: 'Kannada',
  kk_Cyrl: 'Kazakh (Cyrillic)',
  kk_Cyrl_KZ: 'Kazakh (Cyrillic, Kazakhstan)',
  kk: 'Kazakh',
  km_KH: 'Khmer (Cambodia)',
  km: 'Khmer',
  ki_KE: 'Kikuyu (Kenya)',
  ki: 'Kikuyu',
  rw_RW: 'Kinyarwanda (Rwanda)',
  rw: 'Kinyarwanda',
  kok_IN: 'Konkani (India)',
  kok: 'Konkani',
  ko_KR: 'Korean (South Korea)',
  ko: 'Korean',
  khq_ML: 'Koyra Chiini (Mali)',
  khq: 'Koyra Chiini',
  ses_ML: 'Koyraboro Senni (Mali)',
  ses: 'Koyraboro Senni',
  lag_TZ: 'Langi (Tanzania)',
  lag: 'Langi',
  lv_LV: 'Latvian (Latvia)',
  lv: 'Latvian',
  lt_LT: 'Lithuanian (Lithuania)',
  lt: 'Lithuanian',
  luo_KE: 'Luo (Kenya)',
  luo: 'Luo',
  luy_KE: 'Luyia (Kenya)',
  luy: 'Luyia',
  mk_MK: 'Macedonian (Macedonia)',
  mk: 'Macedonian',
  jmc_TZ: 'Machame (Tanzania)',
  jmc: 'Machame',
  kde_TZ: 'Makonde (Tanzania)',
  kde: 'Makonde',
  mg_MG: 'Malagasy (Madagascar)',
  mg: 'Malagasy',
  ms_BN: 'Malay (Brunei)',
  ms_MY: 'Malay (Malaysia)',
  ms: 'Malay',
  ml_IN: 'Malayalam (India)',
  ml: 'Malayalam',
  mt_MT: 'Maltese (Malta)',
  mt: 'Maltese',
  gv_GB: 'Manx (United Kingdom)',
  gv: 'Manx',
  mr_IN: 'Marathi (India)',
  mr: 'Marathi',
  mas_KE: 'Masai (Kenya)',
  mas_TZ: 'Masai (Tanzania)',
  mas: 'Masai',
  mer_KE: 'Meru (Kenya)',
  mer: 'Meru',
  mfe_MU: 'Morisyen (Mauritius)',
  mfe: 'Morisyen',
  naq_NA: 'Nama (Namibia)',
  naq: 'Nama',
  ne_IN: 'Nepali (India)',
  ne_NP: 'Nepali (Nepal)',
  ne: 'Nepali',
  nd_ZW: 'North Ndebele (Zimbabwe)',
  nd: 'North Ndebele',
  nb_NO: 'Norwegian Bokmål (Norway)',
  nb: 'Norwegian Bokmål',
  nn_NO: 'Norwegian Nynorsk (Norway)',
  nn: 'Norwegian Nynorsk',
  nyn_UG: 'Nyankole (Uganda)',
  nyn: 'Nyankole',
  or_IN: 'Oriya (India)',
  or: 'Oriya',
  om_ET: 'Oromo (Ethiopia)',
  om_KE: 'Oromo (Kenya)',
  om: 'Oromo',
  ps_AF: 'Pashto (Afghanistan)',
  ps: 'Pashto',
  fa_AF: 'Persian (Afghanistan)',
  fa_IR: 'Persian (Iran)',
  fa: 'Persian',
  pl_PL: 'Polish (Poland)',
  pl: 'Polish',
  pt_BR: 'Portuguese (Brazil)',
  pt_GW: 'Portuguese (Guinea-Bissau)',
  pt_MZ: 'Portuguese (Mozambique)',
  pt_PT: 'Portuguese (Portugal)',
  pt: 'Portuguese',
  pa_Arab: 'Punjabi (Arabic)',
  pa_Arab_PK: 'Punjabi (Arabic, Pakistan)',
  pa_Guru: 'Punjabi (Gurmukhi)',
  pa_Guru_IN: 'Punjabi (Gurmukhi, India)',
  pa: 'Punjabi',
  ro_MD: 'Romanian (Moldova)',
  ro_RO: 'Romanian (Romania)',
  ro: 'Romanian',
  rm_CH: 'Romansh (Switzerland)',
  rm: 'Romansh',
  rof_TZ: 'Rombo (Tanzania)',
  rof: 'Rombo',
  ru_MD: 'Russian (Moldova)',
  ru_RU: 'Russian (Russia)',
  ru_UA: 'Russian (Ukraine)',
  ru: 'Russian',
  rwk_TZ: 'Rwa (Tanzania)',
  rwk: 'Rwa',
  saq_KE: 'Samburu (Kenya)',
  saq: 'Samburu',
  sg_CF: 'Sango (Central African Republic)',
  sg: 'Sango',
  seh_MZ: 'Sena (Mozambique)',
  seh: 'Sena',
  sr_Cyrl: 'Serbian (Cyrillic)',
  sr_Cyrl_BA: 'Serbian (Cyrillic, Bosnia and Herzegovina)',
  sr_Cyrl_ME: 'Serbian (Cyrillic, Montenegro)',
  sr_Cyrl_RS: 'Serbian (Cyrillic, Serbia)',
  sr_Latn: 'Serbian (Latin)',
  sr_Latn_BA: 'Serbian (Latin, Bosnia and Herzegovina)',
  sr_Latn_ME: 'Serbian (Latin, Montenegro)',
  sr_Latn_RS: 'Serbian (Latin, Serbia)',
  sr: 'Serbian',
  sn_ZW: 'Shona (Zimbabwe)',
  sn: 'Shona',
  ii_CN: 'Sichuan Yi (China)',
  ii: 'Sichuan Yi',
  si_LK: 'Sinhala (Sri Lanka)',
  si: 'Sinhala',
  sk_SK: 'Slovak (Slovakia)',
  sk: 'Slovak',
  sl_SI: 'Slovenian (Slovenia)',
  sl: 'Slovenian',
  xog_UG: 'Soga (Uganda)',
  xog: 'Soga',
  so_DJ: 'Somali (Djibouti)',
  so_ET: 'Somali (Ethiopia)',
  so_KE: 'Somali (Kenya)',
  so_SO: 'Somali (Somalia)',
  so: 'Somali',
  es_AR: 'Spanish (Argentina)',
  es_BO: 'Spanish (Bolivia)',
  es_CL: 'Spanish (Chile)',
  es_CO: 'Spanish (Colombia)',
  es_CR: 'Spanish (Costa Rica)',
  es_DO: 'Spanish (Dominican Republic)',
  es_EC: 'Spanish (Ecuador)',
  es_SV: 'Spanish (El Salvador)',
  es_GQ: 'Spanish (Equatorial Guinea)',
  es_GT: 'Spanish (Guatemala)',
  es_HN: 'Spanish (Honduras)',
  es_419: 'Spanish (Latin America)',
  es_MX: 'Spanish (Mexico)',
  es_NI: 'Spanish (Nicaragua)',
  es_PA: 'Spanish (Panama)',
  es_PY: 'Spanish (Paraguay)',
  es_PE: 'Spanish (Peru)',
  es_PR: 'Spanish (Puerto Rico)',
  es_ES: 'Spanish (Spain)',
  es_US: 'Spanish (United States)',
  es_UY: 'Spanish (Uruguay)',
  es_VE: 'Spanish (Venezuela)',
  es: 'Spanish',
  sw_KE: 'Swahili (Kenya)',
  sw_TZ: 'Swahili (Tanzania)',
  sw: 'Swahili',
  sv_FI: 'Swedish (Finland)',
  sv_SE: 'Swedish (Sweden)',
  sv: 'Swedish',
  gsw_CH: 'Swiss German (Switzerland)',
  gsw: 'Swiss German',
  shi_Latn: 'Tachelhit (Latin)',
  shi_Latn_MA: 'Tachelhit (Latin, Morocco)',
  shi_Tfng: 'Tachelhit (Tifinagh)',
  shi_Tfng_MA: 'Tachelhit (Tifinagh, Morocco)',
  shi: 'Tachelhit',
  dav_KE: 'Taita (Kenya)',
  dav: 'Taita',
  ta_IN: 'Tamil (India)',
  ta_LK: 'Tamil (Sri Lanka)',
  ta: 'Tamil',
  te_IN: 'Telugu (India)',
  te: 'Telugu',
  teo_KE: 'Teso (Kenya)',
  teo_UG: 'Teso (Uganda)',
  teo: 'Teso',
  th_TH: 'Thai (Thailand)',
  th: 'Thai',
  bo_CN: 'Tibetan (China)',
  bo_IN: 'Tibetan (India)',
  bo: 'Tibetan',
  ti_ER: 'Tigrinya (Eritrea)',
  ti_ET: 'Tigrinya (Ethiopia)',
  ti: 'Tigrinya',
  to_TO: 'Tonga (Tonga)',
  to: 'Tonga',
  tr_TR: 'Turkish (Turkey)',
  tr: 'Turkish',
  uk_UA: 'Ukrainian (Ukraine)',
  uk: 'Ukrainian',
  ur_IN: 'Urdu (India)',
  ur_PK: 'Urdu (Pakistan)',
  ur: 'Urdu',
  uz_Arab: 'Uzbek (Arabic)',
  uz_Arab_AF: 'Uzbek (Arabic, Afghanistan)',
  uz_Cyrl: 'Uzbek (Cyrillic)',
  uz_Cyrl_UZ: 'Uzbek (Cyrillic, Uzbekistan)',
  uz_Latn: 'Uzbek (Latin)',
  uz_Latn_UZ: 'Uzbek (Latin, Uzbekistan)',
  uz: 'Uzbek',
  vi_VN: 'Vietnamese (Vietnam)',
  vi: 'Vietnamese',
  vun_TZ: 'Vunjo (Tanzania)',
  vun: 'Vunjo',
  cy_GB: 'Welsh (United Kingdom)',
  cy: 'Welsh',
  yo_NG: 'Yoruba (Nigeria)',
  yo: 'Yoruba',
  zu_ZA: 'Zulu (South Africa)',
  zu: 'Zulu',
};

const getCountryISOCodes = COUNTRY_ISO_CODES.split(',').map((code) => code.trim());

const getLocaleShortCodes = Object.keys(LANGUAGE_BY_LOCALE);

const getCurrencyISOCodes = CURRENCY_ISO_CODE.map((obj) => obj.code);

module.exports = {
  getCountryISOCodes,
  getLocaleShortCodes,
  getCurrencyISOCodes,
};
